# /home/src/PHP-JAVA-BRIDGE/PHP5/php-java-bridge/client.c File Reference

`#include <unistd.h>`
`#include <sys/types.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include "php_java.h"`
`#include "zend_exceptions.h"`
`#include "protocol.h"`
`#include "parser.h"`
`#include "php_java_strtod.h"`
`#include "java_bridge.h"`

## Defines

#define | GET_RESULT(pos) if(!ctx->id) {ctx->id=(zval*)strtol((const char*)PARSER_GET_STRING(st, pos), 0, 10);}

## Functions

unsigned char | get_mode ()
proxyenv * | connect_to_server (TSRMLS_D)
proxyenv * | try_connect_to_server (TSRMLS_D)

## Define Documentation

#define GET_RESULT | ( | pos |  | ) | if(!ctx->id) {ctx->id=(zval*)strtol((const char*)PARSER_GET_STRING(st, pos), 0, 10);}

## Function Documentation

proxyenv* connect_to_server | ( | TSRMLS_D |  | ) |

unsigned char get_mode | ( | void |  | ) |

proxyenv* try_connect_to_server | ( | TSRMLS_D |  | ) |